Groovy Documentation

## org.codehaus.groovy.grails.resolve
[Groovy] Class EnhancedDefaultDependencyDescriptor

    java.lang.Object
      org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor
          org.codehaus.groovy.grails.resolve.EnhancedDefaultDependencyDescriptor

    class EnhancedDefaultDependencyDescriptor
    extends DefaultDependencyDescriptor

Adds new methods to make access to this class Groovier

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`static java.lang.String` | `WILDCARD`
`boolean` | `exported` Whether a plugin dependencies is 'exported' to the application
`boolean` | `inherited` Whether the dependency is inherted from a plugin or framework and not an application dependency
`java.lang.String` | `plugin` Plugin that the dependency relates to, null if it is a framework or application dependency
`java.lang.String` | `scope` Configuration scope of the plugin 'runtime', 'build', 'test' etc.

Constructor Summary
`EnhancedDefaultDependencyDescriptor(ModuleRevisionId mrid, boolean force, java.lang.String scope)`
`EnhancedDefaultDependencyDescriptor(ModuleRevisionId mrid, boolean force, boolean transitive, java.lang.String scope)`

Method Summary
`void` | `addRuleForModuleId(ModuleId mid, java.lang.String scope, java.lang.String type, java.lang.String ext)`
`void` | `dependencyConfiguration(java.lang.String config)`
`void` | `exclude(java.lang.Object exclude)`
`void` | `excludes(java.lang.Object args)`
`boolean` | `isExportedToApplication()` Whether the dependency should be exposed to the application
`boolean` | `isSupportedInConfiguration(java.lang.String conf)`
`void` | `setChanging(boolean b)`
`void` | `setExport(boolean b)`
`void` | `setTransitive(boolean b)`

Property Detail

### WILDCARD

    static final java.lang.String WILDCARD

### exported

    boolean exported

  Whether a plugin dependencies is 'exported' to the application

### inherited

    boolean inherited

  Whether the dependency is inherted from a plugin or framework and not an application dependency

### plugin

    java.lang.String plugin

  Plugin that the dependency relates to, null if it is a framework or application dependency

### scope

    java.lang.String scope

  Configuration scope of the plugin 'runtime', 'build', 'test' etc.

Constructor Detail

### EnhancedDefaultDependencyDescriptor

    EnhancedDefaultDependencyDescriptor(ModuleRevisionId mrid, boolean force, java.lang.String scope)

### EnhancedDefaultDependencyDescriptor

    EnhancedDefaultDependencyDescriptor(ModuleRevisionId mrid, boolean force, boolean transitive, java.lang.String scope)

Method Detail

### addRuleForModuleId

    void addRuleForModuleId(ModuleId mid, java.lang.String scope, java.lang.String type, java.lang.String ext)

### dependencyConfiguration

    void dependencyConfiguration(java.lang.String config)

### exclude

    void exclude(java.lang.Object exclude)

### excludes

    void excludes(java.lang.Object args)

### isExportedToApplication

    boolean isExportedToApplication()

  Whether the dependency should be exposed to the application

### isSupportedInConfiguration

    boolean isSupportedInConfiguration(java.lang.String conf)

### setChanging

    void setChanging(boolean b)

### setExport

    void setExport(boolean b)

### setTransitive

    void setTransitive(boolean b)

Groovy Documentation